=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src --builddirectory=src/build

override_dh_install:
	dh_install
	mv debian/posterazor/usr/bin/PosteRazor debian/posterazor/usr/bin/posterazor
