=== debian/watch ===
version=4
http://sf.net/posterazor/ PosteRazor-(.*)-Source@ARCHIVE_EXT@ debian uupdate
